defmodule PlugCcsauth.Mixfile do
  use Mix.Project

  def project do
    [app: :plug_ccsauth,
     version: "1.0.0",
     elixir: "~> 1.3",
     build_embedded: Mix.env == :prod,
     start_permanent: Mix.env == :prod,
     deps: deps(),
     description: description(),
     package: package()]
  end

  def application do
    [applications: [:plug, :poison] ++ applications(Mix.env)]
  end

  def applications(:test), do: [:phoenix, :plug]
  def applications(_),     do: []

  defp deps do
    [{:plug, "~> 1.1"},
     {:poison, "~> 1.5"},
     {:phoenix, "~> 1.2", only: :test}]
  end

  defp description do
    "..."
  end

  defp package do
    [name: :plug_ccsauth,
     files: ["lib", "mix.exs"],
     maintainers: ["Yuri Artemev"],
     licenses: ["MIT"],
     links: %{}]
  end
end
